<div class="animated fadeIn text-center">
    <div class="row d-flex justify-content-center">
        
            <li class="ml-1">
                <button type="button" class="btn btn-light" (click)="accionCheque('imprimir')"
                        *ngIf="formCheque.estatus === 'A' || formCheque.estatus === 'I' && total >= 1">
                        <i class="fa fa-print fa-lg text-dark"></i>
                </button>
            </li>
            <li class="ml-1">
                <button type="button" class="btn btn-light" (click)="accionCheque('cancelar')" 
                        *ngIf="formCheque.estatus === 'C' && manttoCheque[1] === 'S' || 
                        formCheque.estatus && formCheque.estatus !== 'C' && manttoCheque[0] === 'S' && formCheque.estatus !== 'X'">
                        <i class="fa fa-ban fa-lg text-danger"></i>
                </button>
            </li>
            <li class="ml-1">
                <button type="button" class="btn btn-light" (click)="accionCheque('pagar')" 
                        *ngIf="manttoCheque[3] === 'S' && formCheque.estatus === 'I' || formCheque.estatus === 'C' && manttoCheque[5] === 'S'">
                        <i class="fa fa-credit-card-alt fa-lg text-success"></i>
                </button>
            </li>
            <li class="ml-1">
                <button type="button" class="btn btn-light" (click)="accionCheque('facturar')" *ngIf="formCheque.estatus === 'C'">
                        <i class="fa fa-file-text fa-lg text-dark"></i>
                </button>
            </li>
            <li class="ml-1">
                <button type="button" class="btn btn-light" (click)="accionCheque('reabrir')" 
                        *ngIf="formCheque.estatus && manttoCheque[6] === 'S' && formCheque.estatus !== 'A' && 
                        formCheque.estatus !== 'X'">
                        <i class="fa fa-folder-open fa-lg text-warning"></i>
                </button>
            </li>
            <li class="ml-1">
                <button type="button" class="btn btn-light" (click)="accionCheque('reactivar')" *ngIf="formCheque.estatus === 'X'">
                    <i class="fa fa-power-off fa-lg text-success"></i>
                </button>
            </li>

        <!-- 


        <button type="button" class="btn btn-light m-1 col-10 col-md-5 col-lg-3" (click)="accionCheque('reabrir')" 
            *ngIf="formCheque.estatus && manttoCheque[6] === 'S' &&
                formCheque.estatus !== 'A' && 
                formCheque.estatus !== 'X'">
                <i class="fa fa-folder-open fa-lg text-warning"></i>
                <h6 class="card-title m-2">Re-Abrir</h6>
        </button>
        <button type="button" class="btn btn-light m-1 col-10 col-md-5 col-lg-3" (click)="accionCheque('reactivar')" *ngIf="formCheque.estatus === 'X'">
                <i class="fa fa-power-off fa-lg text-success"></i>
                <h6 class="card-title m-2">Re-Activar</h6>
        </button> -->
    </div>
    <div id="Autorizar" class="animated fadeIn" *ngIf="showAuth">
        <app-authorization (close)="closeAuth()" (user)="userAuth($event);"></app-authorization>
    </div>
</div>